Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.management
Class DynamicPooledDataSourceManagerMBean

    java.lang.Object
      com.mchange.v2.c3p0.management.DynamicPooledDataSourceManagerMBean

All Implemented Interfaces:
  javax.management.DynamicMBean

    public class DynamicPooledDataSourceManagerMBean

extends java.lang.Object
implements javax.management.DynamicMBean

Constructor Summary
`DynamicPooledDataSourceManagerMBean(PooledDataSource pds, java.lang.String mbeanName, javax.management.MBeanServer mbs)`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String attr)`
`javax.management.AttributeList` | `getAttributes(java.lang.String[] attrs)`
`javax.management.MBeanInfo` | `getMBeanInfo()`
`java.lang.Object` | `invoke(java.lang.String operation, java.lang.Object[] paramVals, java.lang.String[] signature)`
`void` | `setAttribute(javax.management.Attribute attrObj)`
`javax.management.AttributeList` | `setAttributes(javax.management.AttributeList al)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicPooledDataSourceManagerMBean

    public DynamicPooledDataSourceManagerMBean(PooledDataSource pds,
                                               java.lang.String mbeanName,
                                               javax.management.MBeanServer mbs)
                                        throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### getAttribute

    public java.lang.Object getAttribute(java.lang.String attr)
                                  throws javax.management.AttributeNotFoundException,
                                         javax.management.MBeanException,
                                         javax.management.ReflectionException

  Specified by:
    `getAttribute` in interface `javax.management.DynamicMBean`
  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### getAttributes

    public javax.management.AttributeList getAttributes(java.lang.String[] attrs)

  Specified by:
    `getAttributes` in interface `javax.management.DynamicMBean`

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo()

  Specified by:
    `getMBeanInfo` in interface `javax.management.DynamicMBean`

### invoke

    public java.lang.Object invoke(java.lang.String operation,
                                   java.lang.Object[] paramVals,
                                   java.lang.String[] signature)
                            throws javax.management.MBeanException,
                                   javax.management.ReflectionException

  Specified by:
    `invoke` in interface `javax.management.DynamicMBean`
  Throws:
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### setAttribute

    public void setAttribute(javax.management.Attribute attrObj)
                      throws javax.management.AttributeNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException

  Specified by:
    `setAttribute` in interface `javax.management.DynamicMBean`
  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.InvalidAttributeValueException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### setAttributes

    public javax.management.AttributeList setAttributes(javax.management.AttributeList al)

  Specified by:
    `setAttributes` in interface `javax.management.DynamicMBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD